import { useState } from 'react';

function ensureNumber(value) {
  var inputValue = parseFloat(value);
  return !isNaN(inputValue) ? inputValue : 0;
}

function useControlledInputNumber(_ref) {
  var value = _ref.value,
      onChange = _ref.onChange;

  var _useState = useState(value === ''),
      isValueEmpty = _useState[0],
      setIsValueEmpty = _useState[1];

  return {
    value: isValueEmpty ? '' : value,
    onChange: function handleInputChange(e) {
      if (e.target.value !== '') {
        onChange(ensureNumber(e.target.value));
        setIsValueEmpty(false);
      } else {
        setIsValueEmpty(true);
      }
    },
    onBlur: function handleInputBlur(e) {
      onChange(ensureNumber(e.target.value));
      setIsValueEmpty(false);
    }
  };
}

export default useControlledInputNumber;
