(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory(require('react')) :
  typeof define === 'function' && define.amd ? define(['react'], factory) :
  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, global.UseControlledInputNumber = factory(global.React));
}(this, (function (react) { 'use strict';

  function ensureNumber(value) {
    var inputValue = parseFloat(value);
    return !isNaN(inputValue) ? inputValue : 0;
  }

  function useControlledInputNumber(_ref) {
    var value = _ref.value,
        onChange = _ref.onChange;

    var _useState = react.useState(value === ''),
        isValueEmpty = _useState[0],
        setIsValueEmpty = _useState[1];

    return {
      value: isValueEmpty ? '' : value,
      onChange: function handleInputChange(e) {
        if (e.target.value !== '') {
          onChange(ensureNumber(e.target.value));
          setIsValueEmpty(false);
        } else {
          setIsValueEmpty(true);
        }
      },
      onBlur: function handleInputBlur(e) {
        onChange(ensureNumber(e.target.value));
        setIsValueEmpty(false);
      }
    };
  }

  return useControlledInputNumber;

})));
//# sourceMappingURL=use-controlled-input-number.umd.js.map
